Subject: RFC4316 Datatypes: is there a way to specify an enumeration?

From: Graham Leggett <[email-masked]>
Date: Tue, 13 Sep 2016 00:37:00 +0200

Hi all,

I have a need to expose webdav metadata datatypes in my webdav implementation so the client knows what kind of metadata the client is dealing with, and it looks like RFC4316 Datatypes is the tool for the job.

The specific problem I am trying to solve is that I need to express that a metadata datatype (example: tshirtsize) has a fixed set of possible values (example: small, medium, large).

RFC4316 gives a number of examples of simple datatypes, but I’m looking for confirmation that an XSD enumeration can be supported too. In theory, the combination of an inline XSD schema definition inside the prop tag should do the trick, but my XML foo isn’t good enough to be sure.

Is it possible to confirm what the “right” way of handling this scenario is?

Regards,
Graham
—